Biblegateway Downloads Amplified Classic instead of Amplified 2015

Bug #1562384 reported by Raoul Snyman on 2016-03-26
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenLP
Low
Tomas Groth
2.4
Low
Tomas Groth

Bug Description

From https://support.openlp.org/scp/tickets.php?id=3363

I am trying to import a bible from the web download option, specifically the Amplified (AMP) 2015 translation by the Lockman Foundation from the BibleGateway source. While the list to download from shows AMP Amplified, it actually pulls the AMPC Amplified Classic from BibleGateway.

Related branches

lp:~tomasgroth/openlp/25bugfixes4
Raoul Snyman: Approve on 2016-07-27
lp:~tomasgroth/openlp/24bugfix-backport4
Raoul Snyman: Approve on 2016-07-27
Tomas Groth (tomasgroth) wrote :

The problem is that we use the old web layout (https://legacy.biblegateway.com) which doesn't seem to be updated with new bibles.
So we need to update our parser for biblegateway to work with the new design.

Raoul Snyman (raoul-snyman) wrote :

Tomas tells me it's because we're using the legacy page. Looks like BG has cleaned up their HTML though!

Tomas Groth (tomasgroth) on 2016-03-29
Changed in openlp:
importance: Undecided → Low
status: New → Confirmed
Changed in openlp:
assignee: nobody → Gabriel Loo (gabriel-loo)
Changed in openlp:
assignee: Gabriel Loo (gabriel-loo) → nobody
Tomas Groth (tomasgroth) on 2016-07-25
Changed in openlp:
status: Confirmed → In Progress
Tomas Groth (tomasgroth) on 2016-08-05
Changed in openlp:
status: In Progress → Fix Committed
Tim Bentley (trb143) on 2016-08-07
Changed in openlp:
milestone: none → 2.4.3
assignee: nobody → Tomas Groth (tomasgroth)
Tim Bentley (trb143) on 2016-08-07
Changed in openlp:
milestone: 2.4.3 → 2.5.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers